man(1)

NAME
vistrails - Scientific workflow and provenance management system

SYNOPSIS
vistrails [-E] [-b] [-o DIR] [-p OUTPUTSETTINGS]
          [--parameters PARAMETERS] [--parameter-exploration]
          [--show-window] [--output-version-tree]
          [--output-pipeline-graph] [--graphs-as-pdf]
          [CONFIGURATION OPTIONS] [vistrail [vistrail ...]]

DESCRIPTION
VisTrails is an open-source scientific workflow and provenance management system that provides support for simulations, data exploration and visualization. Whereas workflows have been traditionally used to automate repetitive tasks, for applications that are exploratory in nature, such as simulations, data analysis and visualization, very little is repeated---change is the norm. As an engineer or scientist generates and evaluates hypotheses about data under study, a series of different, albeit related, workflows are created while a workflow is adjusted in an interactive process. VisTrails was designed to manage these rapidly-evolving workflows.

OPTIONS

  Arguments:

vistrail
    Vistrail to open

  Options:

-h, --help
    show this help message and exit

--version
    show program's version and exit

-E, --no-execute
    Do not execute specified workflows.

-b, --batch
    Run vistrails in batch mode instead of interactive mode.

-o DIR, --output-directory DIR

-p OUTPUTSETTINGS, --output-settings OUTPUTSETTINGS
    One or more comma-separated key=value parameters.

--parameters PARAMETERS
    List of parameters to use when running workflow.

--parameter-exploration
    Open and execute parameter exploration specified by the version argument after the .vt file.

--show-window
    Show the main VisTrails window.

--output-version-tree
    Output the version tree as an image.

--output-pipeline-graph
    Output the workflow graph as an image.
      --graphs-as-pdf

  Paths:

-S DIR, --dot-vistrails DIR
    The location to look for VisTrails user configurations and storage. Defaults to ~/.vistrails.

--subworkflows-dir DIR
    The location where a user's local subworkflows are stored.

--data-dir DIR
    The location that VisTrails uses as a default directory for data.

--package-dir DIR
    The directory to look for VisTrails core packages (use userPackageDir for user-defined packages).

--user-package-dir DIR
    The location for user-installed packages (defaults to ~/.vistrails/userpackages).

--file-dir DIR
    The location that VisTrails uses as a default directory for specifying files.

--log-dir DIR
    The path that indicates where log files should be stored.

--temporary-dir DIR
    The directory to use for temporary files generated by VisTrails.

  Packages:

--enable-packages-silently
    Do not prompt the user to enable packages, just do so automatically.

--no-enable-packages-silently
    Inverse of --enable-packages-silently

--load-packages
    Whether to load the packages enabled in the configuration file

--no-load-packages
    Inverse of --load-packages

--install-bundles
    Automatically try to install missing Python dependencies.

--no-install-bundles
    Inverse of --install-bundles

--install-bundles-with-pip
    Whether to try to use pip to install Python dependencies or use distribution support.

--no-install-bundles-with-pip
    Inverse of --install-bundles-with-pip

--repository-local-path DIR
    Path used to locate packages available to be installed.

--repository-httpurl URL
    URL used to locate packages available to be installed.

  Jobs:

--job-check-interval JOBCHECKINTERVAL
    How often to check for jobs (in seconds, default=600).

--job-autorun JOBAUTORUN
    Run jobs automatically when they finish.

--job-list
    List running workflows.

--job-info
    List jobs in running workflow

  Thumbnails:

--thumbs-auto-save
    Whether to save thumbnails of results when executing VisTrails.

--no-thumbs-auto-save
    Inverse of --thumbs-auto-save

--thumbs-mouse-hover
    Whether to show thumbnails when hovering over a version in the version tree.

--no-thumbs-mouse-hover
    Inverse of --thumbs-mouse-hover

--thumbs-tags-only
    If True, only stores thumbnails for tagged versions. Otherwise, stores thumbnails for all versions.

--no-thumbs-tags-only
    Inverse of --thumbs-tags-only

--thumbs-cache-dir DIR
    The directory to be used to cache thumbnails.

--thumbs-cache-size THUMBS.CACHESIZE
    The size (in MB) of the thumbnail cache.

  Database:

--host URL
    The hostname for the database to load the vistrail from.

--port PORT
    The port for the database to load the vistrail from.

--db DB
    The name for the database to load the vistrail from.

--user USER
    The username for the database to load the vistrail from.

  Startup:

--maximize-windows
    Whether the VisTrails windows should take up the entire screen space.

--no-maximize-windows
    Inverse of --maximize-windows

--multi-heads
    Whether or not to use multiple screens for VisTrails windows.

--no-multi-heads
    Inverse of --multi-heads

--show-splash
    Whether the VisTrails splash screen should be shown on startup.

--hide-splash
    Inverse of --show-splash

  Server:

--rpc-server RPCSERVER
    Hostname or ip address where this xml rpc server will work.

--rpc-port RPCPORT
    Port where this xml rpc server will work.

--rpc-log-file DIR
    Log file for XML RPC server.

--rpc-instances RPCINSTANCES
    Number of other instances that vistrails should start.

--multithread
    Server will start a thread for each request.

--rpc-config DIR
    Config file for server connection options.

  Web Sharing:

--web-repository-url URL
    The URL of the web repository that should be attached to VisTrails (e.g. www.crowdlabs.org).

--web-repository-user WEBREPOSITORYUSER
    The default username for logging into a VisTrails web repository like crowdLabs.

  Upgrades:

--upgrades
    Whether to upgrade old workflows so they work with newer packages.

--no-upgrades
    Inverse of --upgrades

--migrate-tags
    Whether or not the tag on a workflow that was upgraded should be moved to point to the upgraded version.

--no-migrate-tags
    Inverse of --migrate-tags

--hide-upgrades
    Don't show the "upgrade" nodes in the version tree.

--no-hide-upgrades
    Inverse of --hide-upgrades

--upgrade-delay
    Persist upgrade only after other changes.

--no-upgrade-delay
    Inverse of --upgrade-delay

--upgrade-module-fail-prompt
    Whether to alert the user when an upgrade may fail when upgrading a subworkflow.

--no-upgrade-module-fail-prompt
    Inverse of --upgrade-module-fail-prompt

  Interface:

--auto-connect
    Try to automatically connect a newly dragged in module to the rest of the workflow.

--no-auto-connect
    Inverse of --auto-connect

--detach-history-view
    Show the version tree in a separate window.

--no-detach-history-view
    Inverse of --detach-history-view

--show-connection-errors
    Alert the user if the value along a connection doesn't match connection types.

--hide-connection-errors
    Inverse of --show-connection-errors

--show-variant-errors
    Alert the user if the value along a connection coming from a Variant output doesn't match the input port.

--hide-variant-errors
    Inverse of --show-variant-errors

--show-debug-popups
    Always show the debug popups or only if there is a modal widget.

--hide-debug-popups
    Inverse of --show-debug-popups

--show-scrollbars
    Whether VisTrails should show scrollbars on the version tree and workflow canvases.

--hide-scrollbars
    Inverse of --show-scrollbars

--show-inline-parameter-widgets
    Show editable parameters inside modules

--hide-inline-parameter-widgets
    Inverse of --show-inline-parameter-widgets

--shell-font-face SHELL.FONTFACE
    The font to be used for the VisTrails console.

--shell-font-size SHELL.FONTSIZE
    The font size used for the VisTrails console.

--max-recent-vistrails MAXRECENTVISTRAILS
    How many recently opened vistrails should be stored for "Open Recent" access.

--view-on-load VIEWONLOAD
    Whether to show pipeline or history view when opening vistrail Can be either appropriate/pipeline/history

--enable-custom-version-colors

--no-enable-custom-version-colors
    Inverse of --enable-custom-version-colors

--fixed-custom-version-color-saturation

--no-fixed-custom-version-color-saturation
    Inverse of --fixed-custom-version-color-saturation

  General:

--auto-save
    Automatically save vistrails to allow recovery from crashes, etc.

--no-auto-save
    Inverse of --auto-save

--db-default
    Use a database as the default storage location for vistrails entities.

--no-db-default
    Inverse of --db-default

--cache
    Cache previous results so they may be used in future computations.

--no-cache
    Inverse of --cache

--stop-on-error
    Whether or not VisTrails stops executing the rest of the workflow if it encounters an error in one module.

--no-stop-on-error
    Inverse of --stop-on-error

--execution-log
    Track execution provenance when running workflows.

--no-execution-log
    Inverse of --execution-log

--error-log
    Write errors to a log file.

--no-error-log
    Inverse of --error-log

--default-file-type DEFAULTFILETYPE
    Defaults to .vt but could be .xml.

-v DEBUGLEVEL, --debug-level DEBUGLEVEL
    How much information VisTrails should alert the user about (0: Critical errors only, 1: Critical errors and warnings, 2: Critical errors, warnings, and log messages).

--handler-dont-ask HANDLERDONTASK
    Do not ask about extension handling at startup (Linux only).

  Advanced:

--single-instance
    Whether or not VisTrails should only allow one instance to be running.

--no-single-instance
    Inverse of --single-instance

--static-registry DIR
    If specified, VisTrails uses an XML file defining the VisTrails module registry to load modules instead of from the packages directly.

AUTHOR
VisTrails is currently developed at New York University.

SEE ALSO
Homepage: http://www.vistrails.org/